classification
Title: urlparse.BaseResult no longer exists
Type: behavior Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, mgilson, mjpieters, orsenthil, python-dev
Priority: normal Keywords: patch

Created on 2014-06-13 09:09 by mgilson, last changed 2016-04-30 15:37 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
python_doc_patch.patch mgilson, 2014-06-13 09:09 review
python_doc_patch.patch mgilson, 2014-06-13 09:16 review
Messages (6)
msg220425 - (view) Author: Matthew Gilson (mgilson) * Date: 2014-06-13 09:09
The BaseResult has been replaced by namedtuple.  This also opens up all of the documented methods on namedtuple which would be nice to have as part of the API.  I've taken a stab and re-writing the docs here.  Feel free to use it (or not)...
msg220426 - (view) Author: Matthew Gilson (mgilson) * Date: 2014-06-13 09:16
Sorry, forgot to remove the mention of BaseResult ...
msg220427 - (view) Author: Martijn Pieters (mjpieters) * Date: 2014-06-13 09:19
Note that the Python 3 docs also need updating, but need a more extensive patch:

    https://docs.python.org/3/library/urllib.parse.html#structured-parse-results
msg220428 - (view) Author: Matthew Gilson (mgilson) * Date: 2014-06-13 09:21
This originally came up on stackoverflow:

http://stackoverflow.com/questions/24200988/modify-url-components-in-python-2/24201020?noredirect=1#24201020

Would it be helpful if I also added a simple example to the docs as in the example there?
msg264563 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-30 15:36
New changeset 6d49a7330c99 by Berker Peksag in branch '2.7':
Issue #21746: Remove BaseResult reference from urlparse documentation
https://hg.python.org/cpython/rev/6d49a7330c99
msg264564 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-04-30 15:37
Thanks for the patch, Matthew. Python 3 documentation has already been updated.
History
Date User Action Args
2016-04-30 15:37:55berker.peksagsetstatus: open -> closed
type: behavior
messages: + msg264564

resolution: fixed
stage: resolved
2016-04-30 15:36:40python-devsetnosy: + python-dev
messages: + msg264563
2014-06-26 18:52:58berker.peksagsetnosy: + orsenthil, berker.peksag
2014-06-13 09:21:45mgilsonsetmessages: + msg220428
2014-06-13 09:19:36mjpieterssetnosy: + mjpieters
messages: + msg220427
2014-06-13 09:16:14mgilsonsetfiles: + python_doc_patch.patch

messages: + msg220426
2014-06-13 09:13:33mgilsonsetassignee: docs@python

nosy: + docs@python
components: + Documentation
versions: + Python 2.7
2014-06-13 09:09:52mgilsoncreate